--[[----------------------------------------------------------------------------

test_EPDoLater.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local WFCurrentThread = require 'WFCurrentThread'
local WFIdle = require 'WFIdle'

error "update for new registerRequestDispatchHandler syntax!"

WFCurrentThread.registerRequestDispatchHandler( function( message, data, callback )

	assert( message == 'test', "Unknown message ID" )

	WFIdle.onIdleDo( function()

		if data == 'foo' then
			callback:send( 'hello!' )
		else
			callback:send( 'what???' )
		end
	
	end )

end )
